%define sqlite_version 3.7.17
%define uprel 1
%define pkg_version %{sqlite_version}-r%{uprel}

Name:           python-apsw
Version:        %{sqlite_version}.r%{uprel}
Release:        %mkrel 3
Summary:        Another Python SQLite Wrapper
Source:         http://apsw.googlecode.com/files/apsw-%{pkg_version}.zip
URL:            http://code.google.com/p/apsw/
Group:          Development/Python
License:        zlib
BuildRequires:  sqlite3-devel >= %{sqlite_version}
%py_requires -d

%description
APSW is a Python wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.


%package doc
Summary:        Another Python SQLite Wrapper - Documentation
Group:          Development/Python
License:        zlib
BuildArch:      noarch

%description doc
APSW is a Python wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.

%prep
%setup -q -n "apsw-%{pkg_version}"

%build
CFLAGS="%{optflags} -fno-strict-aliasing" \
%__python ./setup.py build

%install
%__python ./setup.py install \
    --prefix="%{_prefix}" \
    --root="%{buildroot}"

%files
%{python_sitearch}/*

%files doc
%doc doc/*




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.7.17.r1-3.mga4
+ Revision: 542907
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.7.17.r1-2.mga4
+ Revision: 498111
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu May 30 2013 solbu <solbu> 3.7.17.r1-1.mga4
+ Revision: 433471
- New version

* Sun Jan 13 2013 umeabot <umeabot> 3.7.15.1.r1-2.mga3
+ Revision: 378463
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 solbu <solbu> 3.7.15.1.r1-1.mga3
+ Revision: 340689
- New version

* Sun Sep 23 2012 solbu <solbu> 3.7.14.r1-1.mga3
+ Revision: 296892
- New version

* Sat Jul 21 2012 solbu <solbu> 3.7.13.r1-1.mga3
+ Revision: 273020
- Import Mandriva package
- Fix License tag
- New version
- Fix doc package


* Wed Nov 30 2011 Dmitry Mikhirev <dmikhirev@mandriva.org> 3.7.7.1.r1-1
+ Revision: 735584
- imported package python-apsw

